Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 532525 - Review request: jexcelapi - A Java API to read, write and modify Excel spreadsheets
Summary: Review request: jexcelapi - A Java API to read, write and modify Excel spread...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-11-02 18:00 UTC by Mary Ellen Foster
Modified: 2012-06-29 22:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-20 19:35:54 UTC


Attachments (Terms of Use)

Description Mary Ellen Foster 2009-11-02 18:00:58 UTC
Spec URL: http://www.macs.hw.ac.uk/~mef3/review/jexcelapi.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/jexcelapi-2.6.12-1.fc12.src.rpm
Description:
Jexcelapi allows Java developers to read Excel spreadsheets and generate Excel
spreadsheets dynamically. In addition, it contains a mechanism which allows
Java applications to read a spreadsheet, modify some cells and write the
modified spreadsheet.

Thanks to jexcelapi non Windows operating systems can run pure Java applications
which process and deliver Excel spreadsheets. Because it is Java, this API may
be invoked from within a servlet, thus giving access to Excel functionality
over internet and intranet web applications.

Features:
- Reads data from Excel 95, 97, 2000 workbooks
- Reads and writes formulas (Excel 97 and later only)
- Generates spreadsheets in Excel 97 format
- Supports font, number and date formatting
- Supports shading and colouring of cells
- Modifies existing worksheets




This package was imported from JPackage

Comment 1 Alexander Kurtakov 2011-01-20 19:35:54 UTC
Closing. Mary will not finish her reviews soon.


Note You need to log in before you can comment on or make changes to this bug.